Package org.jcsp.lang

# Interface RejectableChannelInput

All Superinterfaces:
  `ChannelInput`, `Poisonable`

All Known Implementing Classes:
  `RejectableAltingChannelInput`

public interface RejectableChannelInput extends ChannelInput
Deprecated.
This channel is superceded by the poison mechanisms, please see `PoisonException`. It remains only because it is used by some of the networking features.
Defines an interface for an input channel end that gives the reader the ability to reject instead of accepting pending data.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`void`
`reject()`
Deprecated.
Reject any data pending instead of reading it.

### Methods inherited from interface org.jcsp.lang.ChannelInput

`endRead, read, startRead`

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`

## Method Details

### reject

void reject()
Deprecated.
Reject any data pending instead of reading it. The currently blocked writer will receive a `ChannelDataRejectedException`.